package com.diagbot.service.impl;

import com.diagbot.dto.BasDeptInfoDTO;
import com.diagbot.entity.BasDeptInfo;
import com.diagbot.mapper.BasDeptInfoMapper;
import com.diagbot.service.BasDeptInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.BasDeptInfoVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 医院科室信息 服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2020-04-27
 */
@Service
public class BasDeptInfoServiceImpl extends ServiceImpl<BasDeptInfoMapper, BasDeptInfo> implements BasDeptInfoService {

    @Override
    public List<BasDeptInfoDTO> getList(BasDeptInfoVO basDeptInfoVO){
        return baseMapper.getList(basDeptInfoVO);
    }

    @Override
    public List<BasDeptInfoDTO> getListUser(BasDeptInfoVO basDeptInfoVO){
        return baseMapper.getListUser(basDeptInfoVO);
    }
}
